Table of Contents

## Name

im_gauss_dmask, im_gauss_imask - create a gaussian DOUBLEMASK or INTMASK

## Synopsis

#include <vips/vips.h>

DOUBLEMASK im_gauss_dmask( name, sigma, min_amplitude )
char *name;
double sigma, min_amplitude;

INTMASK im_gauss_imask( name, sigma, min_amplitude )
char *name;
double sigma, min_amplitude;

## Description

Both functions create a circularly symmetric Gaussian mask of sigma. The size of the mask is determined by the variable min_amplitude; if for instance the value .1 is entered this means that the produced mask is clipped at values less than 10 percent of the maximum amplitude. The mask can be directly used with the vasari convolution programs, the default offset set is 0.

The program uses the following equation:

H(r) = exp( -(r * r) / (2 * sigma * sigma) ).

The generated mask has odd size and its maximum value is normalised to either 100 (gauss_imask) or to 1.0 (gauss_dmask).

im_gauss_dmask() creates a DOUBLEMASK laplacian of Gaussian mask with maximum value normalised to 1.0.

im_gauss_imask() creates a INTMASK laplacian of Gaussian mask with maximum value normalised to 100.

## Returned Value:

The functions return NULL on erorr.

## See Also

im_log_dmask(3) , im_conv(3)

## Copyright

N. Dessipris

## Author

N. Dessipris - 06/12/1991

Table of Contents

- Name
- Synopsis
- Description
- Returned Value:
- See Also
- Copyright
- Author